/* Multiply 8-bit unsigned variables A and B placing
 * the product into 16-bit variable C. 
 * Save the 16-bit product using little endian byte ordering.
 * C = A x B 
 */

.INCLUDE <m328pdef.inc> 

.DSEG
A:     .BYTE 1
B:     .BYTE 1
C:     .BYTE 2

.CSEG
Mul8x8_16:
    lds  r16,A    ; load
	lds  r17,B
	mul  r16,r17
	sts  C,r0     ; least significant byte (little end)
	sts  C+1,r1   ; most  significant byte (big end)

	rjmp Mul8x8_16
